Unbound classpath container in Eclipse

I have checked out a project using Subversive for Eclipse and I am getting the following errors: The project cannot be built until build path errors are resolved Unbound classpath container: 'JRE...

How do I include a packaged WSDL to use with Java classes generated with wsimport?

I'm coming from C# so I realize that I can't expect a lot of the (great) usability features and functionality to be there in Java, but I've been sort of put on this Java project recently and I...

Intermittent NoClassDefFoundError when running a maven/surefire build in jenkins

We are building a large multi module Maven project on Jenkins, including running a large number of unit test. Once every few builds the build fails on NoClassDefFoundError on RunListener - which...

SpringBoot with Thymeleaf - css not found

First to say is that I've been searching for a solution for a while now and I'm quite desperate now. I cannot get the css file to be accessible from html page when run by Spring...

Gradle in eclipse is not showing external dependencies sources and java docs in eclipse IDE

I am new to gradle. I converted one of my maven project to gradle. I installed eclipse gradle plugin. After that I configure my gradle like below Here is my build.gradle apply plugin:...

Spring Cloud Config not decrypting the config server password

I am working on Spring Cloud Config for a while. I have a requirement for securing the config data. As per Spring Cloud Documentation have configured the server.jks and added to classpath. Now i...

Android: Getting "Manifest merger failed" error after updating to a new version of gradle

After accepting to update the project to new version of gradle I get this error: Error:Execution failed for task ':app:processDebugManifest'. Manifest merger failed : Attribute...

plugin-under-test-metadata.properties not created by Gradle TestKit when running tests in IDEA

I am using Gradle 3.3 and trying to test a custom plugin with JUnit and Gradle TestKit. In plugin's build.gradle I have version '0.1' apply plugin: 'groovy' apply plugin:...

Failed to resolve com.google.android.gms play-services-auth:11.4.0

I am trying to write code for Android FirebaseUI — Auth in my android project but from last two days, I am getting errors in my current code and don't know how to fix it. trying hard but nothing...

LogStash - Failed to instantiate type net.logstash.logback.appender.LogstashTcpSocketAppender

I am working on Springboot Microservcies & for monitoring Im using ELK Stack. I am using docker containers for running ELK as per this guide. ELK is up and running, I am starting my Logstash...

Kotlin Room setup problems in Android Studio

I'm trying hard to setup simple example of Room+Kotlin in Android Studio, but it is really a pain to do it. I have classes like: @Entity(tableName = "test") data class Test(val name: String, val...

not able to update android studio 3.1: Conflicting configuration : 'armeabi-v7a,x86' during sync project

this is my build gradle (app) file: apply plugin: 'com.android.application' apply plugin: 'io.fabric' apply plugin: 'checkstyle' def versions = ['appcompat_v7' : '25.1.0', ...

Java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/firebase/FirebaseApp

This is React Native project. I have an error after successful build in Android Studio Emulator: java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/firebase/FirebaseApp My...

Could not find any version that matches com.google.android.gms:play-services-base:[15.0.1,16.0.0)

I am using firebase for my android app and suddenly I am getting an error when I tried to run the app. Saturday it was working perfectly. I don't know how this error occurred and how to solve...

Kotlin + Java 9 modules: Module java.base cannot be found in the module graph

I'm having some issues on building a Kotlin project that uses Java 9 features. I know kotlin just allow Java 8 bytecode generation, but acording to kotlinlang.org it should support this...

Kotlin multiplatform: kotlinx.coroutines.test library not visible in commonTest module

I have difficulties integrating kotlin testing framework for coroutines kotlinx.coroutines.test with multiplatform project that targets Android (and ios in the future) My common code relies...

How do i get my ionic app to target API level 28 and Above

I have been trying to upload my ionic app since today and discovered google changed their app rule to target API level 28 and above mine targets 27 so to stay. All the help i got haven't worked...

React Native Could not find com.android.support:appcompat-v7:${supportVersion}

I have a React Native app I'm trying to deploy to an Android Studio's Android emulator, on Windows 10. I run the app from an elevated Power Shell, using react-native run-android The Metro...

How to use Swagger Codegen in Gradle for OpenAPI 3.0?

I have an OpenAPI 3.0 spec (in YAML format), and would like to generate Java code for the API. I want to do this as part of an automated build (preferably using Gradle), so I can create the...

How to generate javadoc in an Android project with JDK 11

My setup: Android Gradle Plugin 3.6.1 Gradle 6.2.1 JDK 11 I have a working configuration for building Javadoc using JDK 8. It looks like this (based on...

Thymeleaf exceptions for resolving template in spring boot

I am trying to develop a simple application by spring-boot. I am using IntelliJ as my ide. unfortunately, I am not able to see my home page. and I think it causes by Thymeleaf by this reason...

Cassandra Windows 10 Access Violation

EDIT: Although yukim's workaround does work, I found that by downgrading to JDK 8u251 vs 8u261, the sigar lib works correctly. Windows 10 x64 Pro Cassandra 3.11.7 NOTE: I have JDK 11.0.7 as my...

Android ResourcesNotFoundException on first App start

Whenever I run the app for the first time, I get the following exception com.mypckg.myapp E/AndroidRuntime: FATAL EXCEPTION: main Process: com.mypckg.myapp, PID: 6460 ...

Kotlin complains about API version not supported

I'm relatively new to Kotlin. I did create a test project, just the Hello World for now. Compile/Package OK, then when I try to run the main.kt : Kotlin: API version 1.1 is no longer supported;...

Android Gradle plugin requires Java 11 to run. You are currently using Java 1.8

I download the newest Android Studio, I want to run the Android Jetpack Compose Project, But when I run , I got the error: > Failed to apply plugin 'com.android.internal.application'. >...

Why can't persist data into database

I am getting: Can not set java.lang.Integer field com.springboot.Model.departmentModel.id to com.springboot.Model.departmentModel in my Spring Boot Project trying to persist data into...

Android app won't build -- The minCompileSdk (31) specified in a dependency's androidx.work:work-runtime:2.7.0-beta01

I'm trying to build a project in my M1, but I got this error when I run npx react-native run-android FAILURE: Build failed with an exception. * What went wrong: Execution failed for task...

Room kapt error when upgrading kotlin or gradle

I have been having for a long time this problem: I cannot upgraded the gradle version and kotlin gradle plugin in my app in Android Studio, the only solution that I can think of is to start a...

Java: Generating Code from WSDL with "ANT" and "AXIS2 1.8.0"

I am trying to generate Java-Code with ant and axis2 1.8.0 from a wsdl(windows 10), but every time i get the following exception: [java] Exception in thread "main"...

Spring boot graphql No graphql schema files found on classpath

I developed a backend application using mongodb, spring-boot and graphql. I am using Jetbrains IDEA IDE. Project can be run on my development machine but it can't run on another computer. Graphql...